#loading-container {
    display          : none;
    position         : fixed;
    z-index          : -2;
    top              : 0;
    left             : 0;
    opacity          : 0;
    align-items      : center;
    justify-content  : center;
    width            : 100vw;
    height           : 100vh;
    background-color : #FFFFFF;
    transition       : opacity 0.3s ease-out;
}

#loading-container.visible {
    display    : flex;
    z-index    : 20;
    opacity    : 1;
    transition : opacity 0.3s ease-out;
}

#bullets-container {
    display        : flex;
    flex-direction : row;
    align-items    : center;
    gap            : 5px;
}

.bullet {
    display         : flex;
    position        : relative;
    color           : #000000;
    font-size       : 100%;
    align-items     : center;
    justify-content : center;
    width           : 25px;
    height          : 25px;
    padding         : 4px;
    border-radius   : 50%;
    animation       : growAnimation 0.5s ease-out infinite alternate;
}

.bullet-container {
    display         : flex;
    color           : #FFFFFF;
    align-items     : center;
    justify-content : center;
    width           : 55px;
    height          : 55px;
}

.bullet-container:nth-child(1) .bullet {
    animation-delay : 0s; /* Primo elemento senza ritardo */
}

.bullet-container:nth-child(2) .bullet {
    animation-delay : 0.05s; /* Ritardo di 0.1s */
}

.bullet-container:nth-child(3) .bullet {
    animation-delay : 0.1s; /* Ritardo di 0.3s */
}

.bullet-container:nth-child(4) .bullet {
    animation-delay : 0.15s; /* Ritardo di 0.6s */
}

.bullet-container:nth-child(5) .bullet {
    animation-delay : 0.2s; /* Ritardo di 0.8s */
}

.bullet-container:nth-child(6) .bullet {
    animation-delay : 0.25s; /* Ritardo di 0.8s */
}

.bullet-container:nth-child(7) .bullet {
    animation-delay : 0.3s; /* Ritardo di 0.8s */
}

@keyframes growAnimation {
    0% {
        width  : 15px;
        height : 15px;
        bottom : 0;
        color  : #FFFFFF;
    }

    100% {
        width  : 55px;
        height : 55px;
        bottom : 20px;
        color  : #000000;
    }
}